"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runtime = exports.declaration = void 0;
const markupLanguageUtils_1 = require("../markupLanguageUtils");
const Setting_1 = require("../models/Setting");
const theme_1 = require("../theme");
const attachedResources_1 = require("../utils/attachedResources");
exports.declaration = {
    name: 'renderMarkup',
};
const getMarkupToHtml = () => {
    return markupLanguageUtils_1.default.newMarkupToHtml({}, {
        resourceBaseUrl: `file://${Setting_1.default.value('resourceDir')}/`,
        customCss: '',
    });
};
const runtime = () => {
    return {
        execute: async (_context, markupLanguage, markup, _rendererOptions = null, renderOptions = null) => {
            const markupToHtml = getMarkupToHtml();
            const html = await markupToHtml.render(markupLanguage, markup, (0, theme_1.themeStyle)(Setting_1.default.value('theme')), Object.assign(Object.assign({}, renderOptions), { resources: await (0, attachedResources_1.default)(markup), splitted: true }));
            return html;
        },
    };
};
exports.runtime = runtime;
//# sourceMappingURL=renderMarkup.js.map