"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Logger_1 = require("@joplin/utils/Logger");
const WebviewController_1 = require("../WebviewController");
const logger = Logger_1.default.create('getActivePluginEditorView');
exports.default = (plugins) => {
    let output = { editorPlugin: null, editorView: null };
    for (const [, pluginState] of Object.entries(plugins)) {
        for (const [, view] of Object.entries(pluginState.views)) {
            if (view.type === 'webview' && view.containerType === WebviewController_1.ContainerType.Editor && view.opened) {
                if (output.editorPlugin) {
                    logger.warn(`More than one editor plugin are active for this note. Active plugin: ${output.editorPlugin.id}. Ignored plugin: ${pluginState.id}`);
                }
                else {
                    output = { editorPlugin: pluginState, editorView: view };
                }
            }
        }
    }
    return output;
};
//# sourceMappingURL=getActivePluginEditorView.js.map